/* *************************************************************************
 * File : network.h
 * by   : Bo-kyun Na, IntellActive Research.
 *        bkna@npac.syr.edu
 * Date : 1999.06.05
 * ************************************************************************* */

#ifndef NETWORK_H
#define NETWORK_H

//#define PACKETSIZE 1150    /* why not (4 * 1024) ? */
#define PACKETSIZE (32 * 1024) 
#define PACKETDATASIZE (PACKETSIZE - sizeof(PacketHeader))
#define CHANNEL_BASE 3752

#define MAXPACKETS 16		/* size of PacketHeader.flags in bits */

typedef struct {
  unsigned int session;		/* Tx host ID to distinguish at Rx */
  unsigned int frame;		/* Each frame of a video image sequence */
  unsigned int size;		/* Size of each payload  */
  unsigned short flags;      /* Offsets of packets when a frame is splitted  */
  unsigned short x;		/* Width of video image */
  unsigned short y;		/* Height of video image */
} PacketHeader;

typedef struct {
  PacketHeader header;
  unsigned char payload[PACKETDATASIZE];
} PacketType;

typedef struct {
  PacketHeader header;
  unsigned char data[PACKETDATASIZE * (MAXPACKETS + 5)];
} MsgType;

#define AUDIO_PACKET   0
#define VIDEO_PACKET   1
#define CONTROL_PACKET 2

/* Function Prototypes */

#endif	/* NETWORK_H */
