/* *************************************************************************
 * Name : odo.h
 * by   : Bo-kyun Na, IntellActive Research.
 *        bkna@npac.syr.edu
 * Date : 1999.10.09.
 * ************************************************************************* */

#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <stdlib.h>
#include <stdio.h>
#include <linux/soundcard.h>

#define ODO_DEVICE "/dev/dsp"	/* audio device driver */
#define ODO_LENGTH 5		/* how many seconds of speech to store */
#define ODO_RATE 8000		/* sampling rate: 8k, 16k, 48k */
#define ODO_SIZE 16		/* sampling format: 8 or 16 bits */
#define ODO_CHANNELS 1		/* sampling channel: 1 = mono 2 = stereo */


/* Function Prototypes */

int BV_ODO_initialize (char *dev_odo);
int BV_ODO_record (int fd, unsigned char *buf, int odo_frame);
int BV_ODO_play (int fd, unsigned char *buf, int odo_frame);
