/* @(#)params.h	1.23 94/05/13  */
/* *************************************************************************
 * File : params.h
 * by   : Bo-kyun Na, IntellActive Research.
 *        bkna@npac.syr.edu
 * Date : 1999.06.05
 * ************************************************************************* */

#ifndef PARAMS_H
#define PARAMS_H

#define MAXSENDTO	32
#define VIDEO  0
#define AUDIO  1

#include "codec.h"

typedef unsigned char uchar;

typedef struct {
  char hostname[MAXSENDTO][64];
  int hostnameknt;
  int channel;
  int transmit;

  FILE *fp;
  char rdfile[32];
  char wrfile[32];
  char dev_vdo[32];
  char dev_odo[32];
  char Twinname[32];
  char Rwinname[32];

  char *cis_type;
  enum codec_t codec;

  int frames;
  int width, 
      height, 
      depth;
  int x, 
      y;
  int scalex,
      scaley;
  int image_skip;

  int argc;
  char **argv;

} Parameters;


/* Function Prototypes */
extern int verbose;
extern Parameters *init_Param(int argc, char **argv);
extern Parameters *init_TxVidParam(int argc, char **argv);
extern Parameters *init_RxVidParam(int argc, char **argv);
extern void close_TxVidParam(Parameters * pblock);
extern void close_RxVidParam(Parameters * pblock);

#endif

