/* @(#)transceiver.h	99/01/29  */
/* *************************************************************************
 * File : network.h
 * by   : Bo-kyun Na, IntellActive Research.
 *        bkna@npac.syr.edu
 * Date : 1999.01.29
 * ************************************************************************* */

#ifndef TRANSCEIVER_H
#define TRANSCEIVER_H

#include <sys/types.h>
#include <netinet/in.h>
#include <poll.h>

#include "network.h"

#define GetTransmitSession(TPTR) (TPTR)->session

typedef struct {
    int socket;
    int nameknt;
    unsigned int session;
    struct sockaddr_in name[64];
} TransceiveState;


/* ***** prototype of external functions ****** */
/* common transceiver functions */
extern TransceiveState *initialize_transmit(Parameters *param, int media_type);
extern int transmit_packet(TransceiveState *TxState, PacketType *packet);
extern void close_transmit(TransceiveState *TxState);

extern TransceiveState *initialize_receive(Parameters *param, int media_type);
extern void close_receive(TransceiveState *RxState);
extern int packetnum(unsigned short flag);
extern void create_message(MsgType *msg, PacketType *packetlist[]);

/* video related functions*/
extern void 
BV_packetize_vdoframe (uchar *data, int nbytes, int width, int height, 
		       TransceiveState *tstate, Parameters *param);
#ifdef XEVENT
extern void check_events(Display *display);
extern int 
receive_packet(TransceiveState *RxState, PacketType *packet, Widget *viewport);
#else
extern int receive_packet(TransceiveState *RxState, PacketType *packet);
#endif
MsgType *BV_VDO_receive (TransceiveState *RxState, MsgType *message);

/* audio related functions */
void BV_odo_packetize (unsigned char *data, int msg_sz, 
		       TransceiveState *tstate, Parameters *param);
MsgType *BV_ODO_receive (TransceiveState *RxState, MsgType *message);


#endif				/* TRANSSCEIVER_H */




