
###-------------------------------------------------------------###
###  Program Name :  libvdo.mk					###
###								###
###  Copyrights 						###
###  reserved by Bo-kyun Na (bkna@top.cis.syr.edu)		###
###  ----  IntellActive Research ----				###
###-------------------------------------------------------------###
###  This file contains the information necessary for           ###
###  the compiler and linker to create the object file  	###
###  for library archive in the UNIX.                   	###
###                                                     	###
###-------------------------------------------------------------###
###  USAGE:							###
###  To run a makefile: make -f libvdo.mk 			###
###  To clean:          make -f libvdo.mk clean			###
###-------------------------------------------------------------###

### compiler
CC = /opt/SUNWspro/bin/cc

### 
### MACRO for header and libraries

GCCINC = /usr/local/software/gcc/2.8.1/lib/gcc-lib/sparc-sun-solaris2.6/2.8.1
XILDIR = 
MMDIR = /project/K136/VOD/bkna/project
MISCdir = 

CFLAGS = -O
LIBS = -L$(MMDIR)/lib

CFLAGS += -I$(XILDIR)/include -I$(MMDIR)/include  -I../../include
LIBS += -lxil -lX11 -lm -lotiaudio -laudio -lsocket -ldl -lnsl -ldga -lthread -lMTvdo

CFLAGS += -I$(OPENWINHOME)/include -D_REENTRANT
LIBS += -L$(XILDIR)/lib -L$(OPENWINHOME)/lib -R $(XIL_INSTALL_PT)/lib:/usr/openwin/lib

###
###  Target Object Files
###
SRCS_MT = libMTodo.c
OBJS_MT = ${SRCS_MT:.c=.o}

SRCS_MT1 = libMTodo1.c
OBJS_MT1 = ${SRCS_MT1:.c=.o}

SRCS_MT2 = libMTodo2.c
OBJS_MT2 = ${SRCS_MT2:.c=.o}

SRCS_MT3 = libMTodo3.c
OBJS_MT3 = ${SRCS_MT3:.c=.o}

SRCS_MT4 = libMTodo4.c
OBJS_MT4 = ${SRCS_MT4:.c=.o}


SRCS_MT6 = libMTodo6.c
OBJS_MT6 = ${SRCS_MT6:.c=.o}

SRCS_MT7 = libMTodo7.c
OBJS_MT7 = ${SRCS_MT7:.c=.o}

SRCS =	 transmit.c tparams.c receive.c rparams.c  xilh261packet.c \
	 window.c cmap.c cellb_util.c dither.c
OBJS = ${SRCS:.c=.o}	

### ************************************************************************
all : libMTodo.a libMTodo1.a libMTodo3.a
### ************************************************************************
install : libMTodo.a
	mv $? ../
### ------------------------------------------------------------------------

libMTodo.a : ${OBJS_MT}
	ar -rv $@ $?

libMTodo1.a : ${OBJS_MT1}
	ar -rv $@ $?

libMTodo2.a : ${OBJS_MT2}
	ar -rv $@ $?
libMTodo3.a : ${OBJS_MT3}
	ar -rv $@ $?
libMTodo4.a : ${OBJS_MT4}
	ar -rv $@ $?
libMTodo6.a : ${OBJS_MT6}
	ar -rv $@ $?
libMTodo7.a : ${OBJS_MT7}
	ar -rv $@ $?

### ------------------------------------------------------------------------
clean:
	rm -f a.out core *.o
### ************************************************************************



