/* @(#)params.c	v0.0 99/03/01  */

#include <stdlib.h>
#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include <ctype.h>

#include "params.h"

extern int verbose;


/* *************************************************************************
 * Parameters *init_RxVidParam(int argc, char *argv[])
 *
 *
 * ************************************************************************* */
Parameters *init_RxVidParam(int argc, char *argv[])
{
  Parameters *param;

  /* .... create parameter block ....   */
  param = (Parameters *) malloc(sizeof(Parameters));
  if (param == NULL) return (param);

  /* .... load parameter with default values ....   */
  param->hostnameknt = 0;
  param->cis_type = "H261";
  param->codec = H261;
  param->x = -1;
  param->y = -1;
  param->width = 176;
  param->height = 144;
  param->channel = 0;
  param->frames = 18000;
  param->preview = 1;
  param->whichinput = 0;
  param->devname = NULL;
  param->windowname = (char *) malloc(32);
  param->error_out = 0;
  param->scalex = 1;
  param->scaley = 1;
  param->receive = 1;

  strcpy(param->windowname, "Remote Video : ");

  strncpy(param->hostname[param->hostnameknt], "maat.npac.syr.edu", 64);
  param->hostnameknt++;

  strncpy(param->hostname[param->hostnameknt], "newhampshire.npac.syr.edu", 64);
  param->hostnameknt++;

  strncpy(param->hostname[param->hostnameknt], "texas.npac.syr.edu", 64);
  param->hostnameknt++;

  strncpy(param->hostname[param->hostnameknt], "mouse.npac.syr.edu", 64);
  param->hostnameknt++;

  strncpy(param->hostname[param->hostnameknt], "hamster.npac.syr.edu", 64);
  param->hostnameknt++;

  /* .... parse command line arguments ....    */
  strncat(param->windowname, param->cis_type, 5);

  return (param);
}


/* *************************************************************************
 * void close_RxVidParam(Parameters * pblock)
 *
 *
 * ************************************************************************* */
void close_RxVidParam(Parameters * pblock)
{
  free(pblock);
}


/* *************************************************************************
 * Parameters *init_TxVidParam(int argc, char *argv[])
 *
 *
 * ************************************************************************* */
Parameters *init_TxVidParam(int argc, char *argv[])
{
  Parameters *param;
  int i;
  char *fileptr = NULL;

  /* .... create parameter block ....    */
  param = (Parameters *) malloc(sizeof(Parameters));
  if (param == NULL)  return (param);

  /* .... load parameter with default values ....   */
  for (i = 0; i < MAXSENDTO; i++)  param->hostname[0][0] = 0;
  param->hostnameknt = 0;
  param->cis_type = "H261";
  param->codec = H261;
  param->x = -1;
  param->y = -1;
  param->width = -1;
  param->height = -1;
  param->scalex = 2;
  param->scaley = 2;
  param->channel = 0;
  param->frames = 18000;
  param->preview = 1;
  param->whichinput = 1;
  param->windowname = (char *) malloc(32);
  param->image_skip = 0;
  param->max_buffer = 2;
  param->datafile = NULL;
  param->transmit = 1;
  param->polling = 0;
  param->error_out = 0;
  param->pattern = "IIII";
  param->h261_bitrate = 256;
  param->h261_maxquant = 10;
  param->devname = NULL;
  strcpy(param->windowname, "Local Video : ");

  /*
  strncpy(param->hostname[param->hostnameknt], optarg, 64);
  param->hostnameknt++;
  */
  strncpy(param->hostname[param->hostnameknt], "maat.npac.syr.edu", 64);
  param->hostnameknt++;

  strncpy(param->hostname[param->hostnameknt], "newhampshire.npac.syr.edu", 64);
  param->hostnameknt++;

  strncpy(param->hostname[param->hostnameknt], "texas.npac.syr.edu", 64);
  param->hostnameknt++;

  strncpy(param->hostname[param->hostnameknt], "mouse.npac.syr.edu", 64);
  param->hostnameknt++;

  strncpy(param->hostname[param->hostnameknt], "hamster.npac.syr.edu", 64);
  param->hostnameknt++;

  strncat(param->windowname, param->cis_type, 5);

  if (fileptr) {
    FILE *fp;

    if ((fp = fopen(fileptr, "r")) == NULL) {
      fprintf(stderr, "Error in file open '%s'\n", fileptr);
      free(param);
      return NULL;
    }
    else {
      while (fscanf(fp, "%s", param->hostname[param->hostnameknt]) == 1 &&
	     param->hostnameknt < MAXSENDTO)
	param->hostnameknt++;
    }
  }

  return (param);
}


/* *************************************************************************
 * void close_TxVidParam (Parameters * pblock)
 *
 *
 * ************************************************************************* */
void close_TxVidParam (Parameters * pblock)
{
  free(pblock);
}
