
/*  Set these according to video capture device set-up */
#define VDO_DEVICE "/dev/video0"
#define VDO_STD	  "NTSC"	/*-> "PAL" or "NTSC" */
#define VDO_WIDTH  176
#define VDO_HEIGHT 144
#define VDO_INPUT  0		/* 0 for MXC, 1 for VID, and 2 for SVHS */

//enum codec_type {
//  H261, H263, JPEG, MPEG
//};

#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/mman.h>
#include <errno.h>

/* These are needed to use the Videum driver */
#include <linux/fs.h>
#include <linux/kernel.h>
#include <linux/videodev.h>  /* Video for Linux Two */

#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Porthole.h>

typedef struct {
  struct v4l2_buffer vidbuf;
  char	  *data;
  XImage  *ximage;
} VIMAGE;

typedef struct v4l2_struct {
  struct v4l2_capability      cap;
  struct v4l2_requestbuffers  req;
  struct v4l2_format	      fmt;
  struct v4l2_standard	      std;
} V4L2;


/* Prototype of Functions */
#ifdef __cplusplus
extern "C" { 
#endif
  int H263initEncoder(int x, int y);
  int H263initDecoder();
  int H263codeIntraFrame(unsigned char *image, char *buffer);
  int H263codeFrame(unsigned char **image, char *buffer);
  char *H263decodeFrame(int user_id, char *frame, int len);
#ifdef __cplusplus
}
#endif

char *BV_vdo_code (int codec_type, char *input);
char *BV_vdo_decode (int codec_type, char *input, int size);

__u32 frame_buffer_format (Display *d, Window w, int *x_depth);
void quit_capture (int vid, Widget w, XtPointer client, XtPointer call);
GC BV_init_display (int vid, XtAppContext *app, int *x_depth, Widget *viewport,
		    V4L2 *v4l2, int argc, char **argv, VIMAGE *vimage);
void BV_display_vdoframe (Widget *viewport, VIMAGE *vimage, GC *imagegc, 
			  V4L2 *v4l2, XtAppContext *app);

int BV_init_vidcap (char *my_device, V4L2 *v4l2);
int BV_close_vid (int fd);
void printctrl (struct v4l2_queryctrl *qc);
void BV_get_vdoframe (int vid, char *outbuf, V4L2 *v4l2);

void RGB16toYUV(unsigned char *input, unsigned char *y, unsigned char *u, 
		unsigned char *v, int width, int height);


